org.sigxcpu.Feedback: libfeedback Reference Manual

## org.sigxcpu.Feedback org.sigxcpu.Feedback |

## Methods

    TriggerFeedback (IN  s     app_id,
                     IN  s     event,
                     IN  a{sv} hints,
                     IN  i     timeout,
                     OUT u     id);
    EndFeedback     (IN  u     id);

## Signals

    FeedbackEnded (u id,
                   u reason);

## Properties

    Profile  readwrite  s

## Description

## Method Details

### The TriggerFeedback() method

    TriggerFeedback (IN  s     app_id,
                     IN  s     event,
                     IN  a{sv} hints,
                     IN  i     timeout,
                     OUT u     id);

Give user feedback for an event by triggering feedbacks defined in the daemon. The method call returns an event id that can be used later on to e.g. cancel the triggered feedbacks early.

Depending on the event, theme and profile several forms of feedback will be triggered such as an audio ring tone and a haptic motor.

`IN s `app_id``: | The application id usually in "reverse DNS" format
`IN s `event``: | The event name from the Event naming spec
`IN a{sv} `hints``: | Additional hints (e.g. to prefer haptic feedback over audio feedback on button press events, currently unused)
`IN i `timeout``: | When the feedbacks for this event should end latest in seconds. The special values '-1' (just run each feedback once) and '0' (endless loop) are also supported.
`OUT u `id``: | Event id for future reference

### The EndFeedback() method

    EndFeedback (IN  u id);

End all feedbacks triggered by the event with the given id.

`IN u `id``: | The id of the event

## Signal Details

### The "FeedbackEnded" signal

    FeedbackEnded (u id,
                   u reason);

Emitted when all feedbacks for an event have ended.

`u `id``: | The id of the event
`u `reason``: | The reason why feedback was ended (currently unused).

## Property Details

### The "Profile" property

    Profile  readwrite  s

The currently used profile. The currently used feedback profile name. Applications should usually not change this value.